.header {
    z-index: 900;
    background: var(--color-bg);
    position: relative;

    &__wrap {
        height: rem(71);
        padding-top: rem(21);
        padding-bottom: rem(35);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__hamburger {
        flex-shrink: 0;
        width: rem(75);
    }

    &__main {
        display: flex;
        align-items: center;
        justify-content: flex-start;
        position: relative;
    }

    &__logo {
        display: block;
        width: rem(120);
    }

    &__content {
        display: flex;
        align-items: center;
        justify-content: flex-end;
    }

    &__item {
        margin-left: rem(10);
    }

    &__title {
        top: calc(100% + 7px);
        left: rem(-80);
        right: rem(-80);
        text-align: center;
        color: var(--color-gray);
        font-weight: 300;
        font-size: rem(10);
        line-height: normal;
        position: absolute;

        a {
            color: var(--color-gray);
            text-decoration: none;
            transition: .25s;

            &:hover {
                color: var(--color-white);
                text-decoration: none;
                transition: .25s;
            }
        }
    }

    &__nav {
        display: none;
    }

    &--top {
        top: 0;
        left: 0;
        right: 0;
        position: absolute;
        background: transparent;
    }

    @media (min-width: $screen-md) {

        &__wrap {
            height: rem(86);
            padding-top: rem(30);
            padding-bottom: rem(33);
        }

        &__main {
            flex-grow: 1;
        }

        &__item {
            margin-left: rem(30);
        }

        &__hamburger {
            width: rem(60);
        }

        &__title {
            top: auto;
            left: auto;
            right: auto;
            bottom: auto;
            font-size: rem(12);
            position: relative;
            display: flex;
            align-items: center;

            &:before {
                width: 1px;
                content: '';
                display: block;
                height: rem(20);
                margin-left: rem(25);
                margin-right: rem(22);
                background: rgba(255, 255, 255, 0.21);
            }
        }

        &__logo {
            width: rem(152px);
        }

        &__hamburger {
            width: rem(58);
        }
    }

    @media (min-width: $screen-xl) {

        &__container {
            max-width: 1724px;
        }

        &__wrap {
            padding: rem(30) 0;
            height: rem(100);
            position: relative;

            &:before {
                left: 0;
                right: 0;
                bottom: 0;
                z-index: 1;
                content: '';
                height: 1px;
                position: absolute;
                background: rgba(255, 255, 255, 0.21);
            }
        }

        &__nav {
            margin: 0;
            padding: 0;
            list-style: none;
            font-size: rem(14);
            white-space: nowrap;
            line-height: normal;
            display: flex;
            align-items: center;

            &__item {

                &:not(:last-child) {
                    margin-right: rem(20);
                }
            }

            &__link {
                color: var(--color-gray);
                text-decoration: none;
                transition: .25s;

                &:hover {
                    color: $white;
                    text-decoration: none;
                    transition: .25s;
                }
            }
        }

        &__hamburger {
            display: none;
        }
    }

    @media (min-width: $screen-xxl) {

        &__container {
            max-width: 1724px;
        }

        &__item {
            margin-left: rem(50);
        }

        &__nav {

            &__item {

                &:not(:last-child) {
                    margin-right: rem(28);
                }
            }
        }
    }
}

.hamburger {
    width: 16px;
    height: 12px;
    position: relative;
    display: block;
    text-align: right;
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    cursor: pointer;
    background: transparent;
    flex-shrink: 0;

    span,
    &:after,
    &:before {
        right: 0;
        width: 100%;
        height: 2px;
        content: '';
        display: inline-block;
        position: absolute;
        transition-property: transform;
        transition-duration: .15s;
        transition-timing-function: ease;
        background-color: var(--color-white);
        transition: .3s;
    }

    span {
        top: calc(50% - 1px)
    }

    &:after {
        top: 0;
    }

    &:before {
        top: calc(100% - 2px);
    }

    @media (min-width: $screen-md) {
        width: 22px;
        height: 16px;
    }
}

.header-account {
    padding: 0;
    font-size: rem(14);
    line-height: rem(21);
    white-space: nowrap;
    fill: var(--color-white);
    color: var(--color-white);
    cursor: pointer;
    text-decoration: none;
    width: rem(19);
    height: rem(18);
    display: flex;
    align-items: center;
    justify-content: center;

    i {
        font-size: 0;
        line-height: 0;
        height: rem(18);
        display: block;
    }

    span {
        display: none;
    }

    &:hover {
        text-decoration: none;
        fill: var(--color-white);
        color: var(--color-white);
    }

    @media (min-width: $screen-md) {
        width: auto;

        span {
            display: block;
            margin-left: rem(20);
        }
    }
}

.header-city {
    margin: 0;
    padding: 0;
    border: none;
    outline: none;
    width: rem(18);
    height: rem(18);
    cursor: pointer;
    white-space: nowrap;
    background: transparent;
    fill: var(--color-white);
    color: var(--color-white);
    display: flex;
    align-items: center;
    justify-content: center;

    &__icon {
        font-size: 0;
        line-height: 0;
        width: rem(14);
        height: rem(14);
        display: block;
        flex-shrink: 0;
    }

    &__name {
        display: none;
    }

    &__arrow {
        display: none;
    }

    @media (min-width: $screen-lg) {
        width: auto;

        &__name  {
            display: inline-block;
            border-bottom: 1px dashed #999999;
            margin-left: rem(16);
        }

        &__arrow {
            top: 1px;
            height: rem(7);
            font-size: 0;
            line-height: 0;
            position: relative;
            display: inline-block;
            margin-left: rem(16);
        }
    }

    @media (min-width: $screen-xl) {

        &__name__ {
            display: none;
        }

        &__arrow__ {
            display: none;
        }
    }

    @media (min-width: $screen-xxl) {

        &__name__ {
            display: inline-block;
        }

        &__arrow__ {
            display: inline-block;
        }
    }
}
